Subject: [manet] ifqueue in AODV

From: ilker onat <[email-masked]>
Date: Thu, 26 Dec 2002 12:45:42 -0500 (EST)

I couldn't fully grasp the ifqueue useage of AODV. Can anybody explain?
I pasted a previously asked-answered-re-asked question below. Does AODV
use the ifqueue or it is just using the rqueue?

Best,

Ilker

tcp wrote:

> Hi,

what do you mean with "not used"?? is agent->ifqueue empty?? But it's
used in recvReply as well as in AODV::rt_ll_failed to drop the packets
in the interface queue, that also could not be forwarded!!!! Does it
have any effect now, since ifqueue is empty??
while((p = ifqueue->filter(broken_nbr))) {
     drop(p, DROP_RTR_MAC_CALLBACK);
    }
Can omebody clarify it. This is a little confusing.
Thanks
Riadh

> Hi, Weihua,
>
> "agent->ifqueue" is defined but not used.
> The actual interface queue being used is:
> "agent->target_->downtarget_"
> (if trace between "Agent" and "LL" is disabled), or
> "agent->target_->downtarget_->downtarget_".
>
> You can find these details in ns-mobilenode.tcl.
> Hope it helps!
>
> Alan
>
> > Date: Sat, 26 Oct 2002 17:48:25 +0800
> > From: "yang weihua" <[email-masked]>
> > To: "[email-masked]" <[email-masked]>
> > Subject: [manet] About ifqueue length
> >
> > everyone??
> >       Does anybody know how to get the ifqueue(between MAC and LL)
> > length from the route agent? I have attempted to get the value
> > by doing this in the AODV C++ source code:
> >    queue_len=agent->ifqueue->getLen();
> > where agent is the aodv route agent. But to my disappointment,
> > the result always remained to be zero! what's the problem?
> >    Appreciate your any help!
> >
> >
> >

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet